import { __awaiter } from "tslib";
import { FoundationRouter } from '@genesislcap/foundation-ui';
import { zeroGridComponents } from '@genesislcap/foundation-zero-grid-pro';
import { allComponents, provideFASTDesignSystem } from '@microsoft/fast-components';
/**
 * Some of the login templates are still using fast-components directly
 */
provideFASTDesignSystem().register(allComponents);
/**
 * TODO: Think about sharing import functions across micro frontends.
 */
function loadZeroDesignSystem() {
    return import(
    /* webpackMode: "lazy" */
    '@genesislcap/foundation-zero');
}
export function loadRemotes() {
    return __awaiter(this, void 0, void 0, function* () {
        const { provideDesignSystem, baseComponents } = yield loadZeroDesignSystem();
        return {
            ZeroDesignSystem: provideDesignSystem().register(baseComponents, zeroGridComponents),
        };
    });
}
/**
 * Ensure tree shaking doesn't remove these
 * Perhaps we keep these MFs style free, ie. they need to get wrapped to have style applied. Keeping it simple for now.
 */
FoundationRouter;
